# run the GUI shiny app for the QCA package

## Description

Runs the graphical user interface app based on the shiny package.

## Usage

    runGUI(x)

## Arguments

`x` |  |  |  | Path to the shiny app.

## Details

This function is nothing but a wrapper to the `runApp()` function in package shiny. If `x` is not provided, it automatically locates the `gui` directory in the path where the QCA package has been installed, and runs it.

The user interface gained an interactive R console in the webpage. Commands are parsed and evaluated into a dedicated environment, with efforts to capture errors and warnings. Preliminary tests are encouraging, but users should be aware this is not a real console and bugs are likely to appear in this stage of development.

## Author

Adrian Dusa